Get the change to an entity between one version and another
curl --request GET \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/version-history/commits/{versionCommitId}/changes/{entityType}/{entityId} \
--header 'Authorization: <api-key>'import requests
url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/version-history/commits/{versionCommitId}/changes/{entityType}/{entityId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/version-history/commits/{versionCommitId}/changes/{entityType}/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"versionChange": {
"operation": "created",
"entityType": "stub_mapping",
"links": {
"self": "<string>",
"restoreBefore": "<string>",
"restoreAfter": "<string>",
"contentsBefore": "<string>",
"contentsAfter": "<string>"
},
"entityId": "<string>"
}
}{
"errors": [
{
"title": "Forbidden",
"source": {}
}
]
}Mock API versioning
Get the change to an entity between one version and another
Retrieve the change to a single entity between two versions of a mock API.
GET
/
v1
/
mock-apis
/
{mockApiId}
/
version-history
/
commits
/
{versionCommitId}
/
changes
/
{entityType}
/
{entityId}
Get the change to an entity between one version and another
Path Parameters
The ID of the Mock API
Required string length:
5 - 10Example:
"jjl8y"
The ID of the version
Required string length:
5 - 10Example:
"jjl8y"
The type of the entity.
Available options:
mappings, settings, grpc-dsc, graphql-schema, openapi-doc The ID of the entity. This path segment should be provided if and only if the entityType path segment is mappings.
Query Parameters
Show the changes between the requested version and the latest version.
Show the changes between the requested version and the previous version. This is the default if no parameter is supplied.
Show the changes between the requested version and the version identified by the parameter value. The "from" version must have taken place before the requested version.
Required string length:
5 - 10Example:
"jjl8y"
Response
200 response
Show child attributes
Show child attributes